#include "messages.h"
#include <stdio.h>
#include <libintl.h>

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#define i18n(STRING) gettext(STRING)

void Messages::printMessage(int MessNum)
{
	char* mess;
	switch(MessNum){
		case 1: mess= i18n("Parameter missing!");break;
		case 2: mess= i18n("Unable to create file!");break;
		case 3: mess= i18n("Memory error!");break;
		case 4: mess= i18n("Unknown alias!");break;
		case 5: mess= i18n("Enviroment error!");break;
		case 6: mess= i18n("Invalid parameter!");break;
		case 7: mess= i18n("Missing output name after '-o' !");break;
		case 8: mess= i18n("Can't search whole filesystem!");break;
		case 9: mess= i18n("No path were specified!");break;
		case 10: mess= i18n("Syntax error or missing parameter in '.uninstrc'!");break;
		case 11: mess= i18n("Unknown parameter or syntax error in '.uninstrc'!");break;
		case 12: mess= i18n("Can't open '.uninstrc'!");break;
		case 13: mess= i18n("Unable to write to file!");break;
		case 14: mess= i18n("Error in '.uninstrc'! Each path in alias must starts with '/' !");break;
		case 15: mess= i18n("Unable to create pipe!");break;
		case 16: mess= i18n("Unable to open file!");break;
		case 17: mess= i18n("Error in beforeFile!");break;
		case 19: mess= i18n("Nothing to do!");break;
		case 20: mess= i18n("There are no new files or directories.");break;
		
		case 98: mess= i18n("Out of PATH memory!");break;
		case 99: mess= i18n("Can't create '.uninstrc'!");break;		

		case 499: mess="\n\tUninst " VERSION "\t(c) 1999-2000 Jozef Kosoru <jozef.kosoru@pobox.sk>\n";break;
// Help
		case 500: mess= i18n(
				"Released under GPL see the file LICENSE for details\n"
				"usage:\n"
				"- run in 'before' mode:\n"
				"\tuninst b (-b,--before) [options] [path1...pathN] [@alias1...@aliasN]\n"
				"\t       [-o <outputScript>]\n"
				"  [option]\n"
				"\t-nv (--no-verbose)\n"
				"\t-v (--verbose)   \t-display additional informations\n"
				"\t-r (--remove)\n"
				"\t-nr (--no-remove)\t-do not delete temporary files\n"
				"\t-f (--force)\n"
				"\t-nf (--no-force)\t-make uninstall script with 'rm -i' instead 'rm -f'\n"
				"  [path1...pathN]\t-complete paths which will be scanned\n"
				"  [@alias1...@aliasN]\t-aliases of paths which will be scanned\n"
				"  [-o <outputScript>]\t-name of automatically generated uninstall script\n"
				"- run in 'after' mode:\n"
				"\tuninst a (-a,--after)\n"
				"- display help:\n"
				"\tuninst h (-h,--help)\t-display this help screen\n")
				;break;
//				
		case 501: mess= i18n("\tscanning...");break;
		case 502: mess= i18n(" - saved");break;
		case 503: mess= i18n("Use '-b' mode first!");break;
		case 504: mess= i18n(" - file exists! Overwrite?");break;
		case 505: mess= i18n("Program aborted!");break;
		case 506: mess= i18n("Can't create uninst script!");break;
		case 507: mess= i18n(" - comparing...");break;
		case 508: mess= i18n(" - wrong path!");break;
                case 509: mess= i18n(" - deleted");break;
		
//		case 600: mess="Not implemented yet!";break;
		default: mess= i18n("Unknown error!\n"
				"Please send full bug report to <jozef.kosoru@pobox.sk>");
	}
#ifdef _DEBUG
	printf("############################\n");
#endif
	printf("%s\n",mess);
#ifdef _DEBUG
	printf("############################\n");
#endif
}

const char* Messages::writeSome(short int MessNum)
{
	const char* mess;
	switch(MessNum){
		case 1: mess= i18n("Are you sure you want to uninstall");break;
		case 2: mess= i18n("Uninstalling...");break;
		case 3: mess="#################################################################\n";break;
		case 4: mess= i18n("Done.");break;
		case 5: mess= i18n("Canceled.");break;
		default: mess= "-fatal-";
	}
	return(mess);
}
