// -*- c++ -*-/

#ifndef READTEXTFILE_H
#define READTEXTFILE_H

#include "control.h"
#include <stdio.h>

class ReadTextFile
{
	public:
		ReadTextFile(const char* nameString, bool makePipe=false);
		~ReadTextFile();
		
		const char* readLine(bool exSpa=true);
		void close();
		void goToStart();
		
		bool eof() const	// if true - next read will be already after EOF
		{
			return( eofCode );
		}		
		
		int errorCode() const
		{
			return( errorNum );
		}
		
		void setStartToCur();
		void deleteFile();
		void goToBreak();
		void setBreakToCur();
		long int getPos();
		void setPos(long int cPos);
		const char* getName() const;
		static int excludeSpace(const char* fileLine);
	private:
		FILE* fr;
		char* fileName;
		char* charBuff;
		int errorNum;
		bool eofCode;
		bool inUse;	// indicates that some file is in use
		bool buffIs;	// charBuff has been allocated
		bool nameIs;	// fileName has been allocated
		bool pipeIs;	// pointer is pipe, not file			
		long int posF;  // position of start
		long int posBreak;
};

#endif // READTEXTFILE_H
