// -*- c++ -*-
#ifndef UNINST_H
#define UNINST_H

#include "control.h"
#include "configuration.h"
#include "readtextfile.h"
#include "writetextfile.h"

#define CBIF "beforeFile"	//beforeFile in tmp directory
#define CAFT "afterFile"	//afterFile in tmp directory

class Uninst
{
	public:
		Uninst(int param1, char** param2);
		~Uninst();
		int exec();
		
	private:
		void procBefore();
		void procAfter();
		int setArg();
		int makeBeforeFile();
		int makeAfterFile();
		int openBeforeFile();
		int openAfterFile();
		int makeUninstFile();
		int compareFiles();
		int setCName(char* tmpDir) const;
		int listFiles(WriteTextFile* procFile);
		bool checkExist(char* tmpDir );
		bool findDirBefore(const char* aftChar);
		bool findInBefore(const char* aftChar, int* curPos);
		void rmFile(const char* folder, const char* file, bool remove);
		void rmDir(const char* folder);
		void recurseDirs(const char* parentDir);
		
		int argc;
		char** argv;
		int errorNum;
		char* homeDir;		bool homeIs;
	  ReadTextFile* file;	bool fileIs;
	  Configuration* conf;	bool confIs;
	  int mode;
	  WriteTextFile* beforeFile;	bool beforeIs;
	  WriteTextFile* afterFile;	bool afterIs;
	  ReadTextFile* AbeforeFile;	bool AbeforeIs;
	  ReadTextFile* AafterFile;	bool AafterIs;
		WriteTextFile* uninstFile;	bool uninstIs;
};
#endif //UNINST_H

		
